| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::PointCloudVector Class Reference

Cloud of points where each poinr is represented by the IVector object, contains a list of containers of vector objects that include point coordinates. More...

Inheritance diagram for IG::Num::PointCloudVector:
[legend]
Collaboration diagram for IG::Num::PointCloudVector:
[legend]

List of all members.

## Public Member Functions
| PointCloudVector ()
| Constructs a cloud of ponts where points are of vector type.
| PointCloudVector (params IVector[] points)
| Constructs a cloud of vector points containing the specified points.
| PointCloudVector (params IPointContainer< IVector >[] points)
| Constructs a cloud of vector points containing the points embedded in the specified point containers. All points are taken from their point containers and embedded in newly created point containers before adding to the created cloud of points.
override IVector | CreatePointFromCoordinates (IVector coordinates)
| Creates and returns a new point with specified coordinates.
override PointContainerVector | CreatePointContainer (IVector point)
| Creates and returns a new point container that wraps the specified point.
override DistanceComparer < PointContainerVector, IVector > | CreateDefaultDistanceComparer (PointContainerVector point)
| Creates and returnws a distance comparer of hte default type for the current type of point of clouds.

## Detailed Description

Cloud of points where each poinr is represented by the IVector object, contains a list of containers of vector objects that include point coordinates.

Template Parameters:

  PointContainerType | Type of point link that is used by point container.
  PointType | Type of objects that include point coordinates.

$A Igor Sep08 May09 Dec11;

## Constructor & Destructor Documentation

IG::Num::PointCloudVector::PointCloudVector | ( |  | ) | `[inline]`

Constructs a cloud of ponts where points are of vector type.

IG::Num::PointCloudVector::PointCloudVector | ( | params IVector[] | points | ) | `[inline]`

Constructs a cloud of vector points containing the specified points.

Parameters:

  points | Points that are included in the created point cloud.

IG::Num::PointCloudVector::PointCloudVector | ( | params IPointContainer< IVector >[] | points | ) | `[inline]`

Constructs a cloud of vector points containing the points embedded in the specified point containers. All points are taken from their point containers and embedded in newly created point containers before adding to the created cloud of points.

Parameters:

  points | Points embedded in point containers that are included in the created point cloud.

## Member Function Documentation

override IVector IG::Num::PointCloudVector::CreatePointFromCoordinates | ( | IVector | coordinates | ) | `[inline, virtual]`

Creates and returns a new point with specified coordinates.

Parameters:

  coordinates | Coordinates of the created point. A copy of this vector should always be created to hold coordinates within the point, because the caller is allowed to modify coordinates on the vector.

Implements IG::Num::PointCloud< PointContainerType, PointType >.

override PointContainerVector IG::Num::PointCloudVector::CreatePointContainer | ( | IVector | point | ) | `[inline]`

Creates and returns a new point container that wraps the specified point.

Parameters:

  point | Point to be wrapped.

override DistanceComparer<PointContainerVector, IVector> IG::Num::PointCloudVector::CreateDefaultDistanceComparer | ( | PointContainerVector | point | ) | `[inline]`

Creates and returnws a distance comparer of hte default type for the current type of point of clouds.

The documentation for this class was generated from the following file:

- PointCloudConcrete.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events